/*******************************************************************************
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corporation 2007-2008. All Rights Reserved.
 * 
 * Note to U.S. Government Users Restricted Rights:
 * Use, duplication or disclosure restricted by GSA ADP Schedule
 * Contract with IBM Corp.
 *******************************************************************************/
({

// Website Management Error Messages
SERVER_UNREACHABLE: "CRRER0000E: The server is unreachable. Check your network connectivity. If there is still a problem, contact your server administrator.",
INTERNAL_APPLICATION_ERROR: "CRRER0001E: There is an internal application error.",
INTERNAL_APPLICATION_ERROR_WITH_REASON: "CRRER0001E: There is an internal application error. Reason: ${0}",
INVALID_USERNAME_PASSWORD: "CRRER0002E: Invalid User name or Password.",
FAILED_TO_PROPERLY_LOG_OUT: "CRRER0003E: The log out from the server failed. Reason: ${0}",
ALL_FIELDS_ARE_REQUIRED: "CRRER0004E: One of the required input fields is empty.",
NOT_GRANTED_WEBSITE_PERMISSION: "CRRER0005E: You do not have permission to access this Web site. Contact your server administrator.",	
FAILED_TO_RETRIEVE_LICENSE_INFO: "CRRER0006E: The license information was not retrieved from the server.",
SESSION_EXPIRED: "CRRER0007W: Your session has expired. Click 'OK' to log in again.",
INVALID_PROPERTY_VALUE: "CRRER0008W: The property value for '${0}' is invalid. Reason: ${1}",

// Report Management Error Messages
FAILED_TO_RETRIEVE_REPORT_FOLDERS: "CRRER0100E: Report folders were not retrieved from the server.",
FAILED_TO_RETRIEVE_REPORTS: "CRRER0101E: Reports were not retrieved from the server.",
FAILED_TO_RETRIEVE_REPORT_DESIGNS: "CRRER0102E: Report designs were not retrieved from the server.",
FAILED_TO_RETRIEVE_REPORT_QUERIES: "CRRER0103E: Report queries were not retrieved from the server.",
FAILED_TO_RETRIEVE_REPORT_SNAPSHOTS: "CRRER0104E: Report snapshots were not retrieved from the server.",
FAILED_TO_RETRIEVE_REPORT_DESIGN: "CRRER0105E: Report design '${0}' was not retrieved from the server.",
FAILED_TO_RETRIEVE_REPORT_QUERY: "CRRER0106E: Report query '${0}' was not retrieved from the server.",
FAILED_TO_RETRIEVE_REPORT_SNAPSHOT: "CRRER0107E: Report snapshot '${0}' was not retrieved from the server.",
FAILED_TO_RETRIEVE_ROOT_REPORT_FOLDERS: "CRRER0108E: Root report folders were not retrieved from the server.",
FAILED_TO_RETRIEVE_REPORT_NODES: "CRRER0109E: Report nodes were not retrieved from the server.",
FAILED_TO_CREATE_REPORT_FOLDER: "CRRER0120E: Report folder '${0}' was not created.",
FAILED_TO_CREATE_REPORT_DESIGN: "CRRER0121E: Report design '${0}' was not created.",
FAILED_TO_CREATE_REPORT_QUERY: "CRRER0122E: Report query '${0}' was not created.",
FAILED_TO_CREATE_REPORT_SNAPSHOT: "CRRER0123E: Report snapshot '${0}' was not created.",
FAILED_TO_CREATE_REPORT: "CRRER0124E: Report '${0}' was not created.",
FAILED_TO_UPLOAD_REPORT_DESIGN: "CRRER0126E: The report design was not uploaded.",
FAILED_TO_UPDATE_REPORT_FOLDER: "CRRER0130E: Report folder '${0}' was not updated.",
FAILED_TO_UPDATE_REPORT_DESIGN: "CRRER0131E: Report design '${0}' was not updated.",
FAILED_TO_UPDATE_REPORT_QUERY: "CRRER0132E: Report query '${0}' was not updated.",
FAILED_TO_UPDATE_REPORT_SNAPSHOT: "CRRER0133E: Report snapshot '${0}' was not updated.",
FAILED_TO_UPDATE_REPORT: "CRRER0134E: Report '${0}' was not updated.",
FAILED_TO_UPDATE_REPORT_NODE: "CRRER0135E: Report node '${0}' was not updated.",
FAILED_TO_ADD_SELECETED_REPORTS: "CRRER0136E: The selected reports were not added to the report folder.",
FAILED_TO_REMOVE_SELECETED_REPORTS: "CRRER0137E: The selected reports were not removed from the report folder.",
FAILED_TO_DELETE_REPORT_FOLDER: "CRRER0140E: Report folder '${0}' was not deleted.",
FAILED_TO_DELETE_REPORT_DESIGN: "CRRER0141E: Report design '${0}' was not deleted.",
FAILED_TO_DELETE_REPORT_QUERY: "CRRER0142E: Report query '${0}' was not deleted.",
FAILED_TO_DELETE_REPORT_SNAPSHOT: "CRRER0143E: Report snapshot '${0}' was not deleted.",
FAILED_TO_DELETE_REPORT: "CRRER0144E: Report '${0}' was not deleted.",
FAILED_TO_DELETE_SELECTED_REPORT_FOLDER: "CRRER0156E: The selected report folder was not deleted",
FAILED_TO_DELETE_SELECTED_REPORT: "CRRER0157E: The selected report was not deleted.",
FAILED_TO_DELETE_REPORT_NODE: "CRRER0158E: The selected report node was not deleted.",
OVERWRITE_REPORT_DESIGN: "CRRER0159W: A report design with the same name already exists on the server. Do you want to override it?",
REPORT_DESIGN_ALREADY_EXISTS: "CRRER0160W: A file with the same name already exists. Select a different file or delete the existing file and click 'Browse' again.",
PROMPT_FOR_REPORT_DESIGN_NAME: "CRRER0161W: Enter a name for the report design.",
PROMPT_FOR_UPLOAD_REPORT_DESIGN_FILES: "CRRER0162W: One or more report design files must be included in the upload.",
PROMPT_FOR_MASTER_DESIGN_FILE: "CRRER0163W: Select the master report design file.",
UNSUPPORTED_DESIGN_FILE: "CRRER0164W: Unsuported report design file '${0}' selected.",

// Report Generation Error Messages
FAILED_TO_RENDER_REPORT: "CRRER0200E: The report failed to render.",
FAILED_TO_SEND_REPORT_EMAIL: "CRRER0201E: The report was not sent through e-mail.",
FAILED_TO_EXPORT_REPORT: "CRRER0202E: The report was not exported.",
ALL_REPORT_PARAMETERS_ARE_REQUIRED: "CRRER0203E: One of the required report parameters is empty.",
SELECT_A_REPORT: "CRRER0210W: Select a report.",

// User Management Error Messages
FAILED_TO_RETRIEVE_USERS_AND_ATTRIBUTES: "CRRER0300E: Users and attributes were not retrieved from the server.",
FAILED_TO_RETRIEVE_USERS: "CRRER0301E: Users were not retrieved from the server.",
FAILED_TO_RETRIEVE_GROUPS: "CRRER0302E: Groups were not retrieved from the server.",
FAILED_TO_RETRIEVE_USER: "CRRER0303E: User '${0}' was not retrieved from the server.",
FAILED_TO_RETRIEVE_GROUP: "CRRER0304E: Group '${0}' was not retrieved from the server.",
FAILED_TO_RETRIEVE_USER_PROFILE: "CRRER0305E: Profile data for user '${0}' was not retrieved from the server.",
FAILED_TO_CREATE_USER: "CRRER0311E: User '${0}' was not created.",
FAILED_TO_CREATE_GROUP: "CRRER0312E: Group '${0}' was not created.",
FAILED_TO_UPDATE_USER: "CRRER0321E: User '${0}' was not updated.",
FAILED_TO_UPDATE_GROUP: "CRRER0322E: Group '${0}' was not updated.",
FAILED_TO_DELETE_USER: "CRRER0331E: User '${0}' was not deleted.",
FAILED_TO_DELETE_GROUP: "CRRER0332E: Group '${0}' was not deleted.",
FAILED_TO_DELETE_SELECTED_USERS: "CRRER0333E: The selected users were not deleted.",
FAILED_TO_DELETE_SELECTED_GROUPS: "CRRER0334E: The selected groups were not deleted.",
FAILED_TO_GRANT_SELECTED_USERS_ACCESS_TO_WEBSITE: "CRRER0340E: The selected users were not granted access to this Web site.",
FAILED_TO_GRANT_SOME_USERS_WEBSITE_ACCESS: "CRRER0341E: Some users were not granted access to this Web site.",
FAILED_TO_DENY_SELECTED_USERS_ACCESS_TO_WEBSITE: "CRRER0342E: The selected users were not denied access to this Web site.",
FAILED_TO_DENY_SOME_USERS_WEBSITE_ACCESS: "CRRER0343E: Some users were not denied access to this Web site.",
FAILED_TO_RETREIVE_RECENTLY_ADDED_USERS: "CRRER0392E: Recently added users were not retrieved from the user registry.",
FAILED_TO_REFRESH_USER_REGISTRY: "CRRER0393E: Failed to refresh the user registry.",

// User Management Warning Message
NO_USERS_FOUND_WITH_NAME: "CRRER0350W: No users with name '${0}' were found.",
NO_NEW_MATCHING_USERS_FOUND: "CRRER0351W: No matching user was found.",

// User Management Status Message
CREATED_USER: "CRRER0360I: User '${0}' was created.",
CREATED_GROUP: "CRRER0361I: Group '${0}' was created.",
UPDATED_USER: "CRRER0370I: User '${0}' was updated.",
UPDATED_GROUP: "CRRER0371I: Group '${0}' was updated.",
DELETED_USER: "CRRER0380I: User '${0}' was deleted.",
DELETED_GROUP: "CRRER0381I: Group '${0}' was deleted.",
DELETED_SELECTED_USERS: "CRRER0382I: The selected users were deleted.",
DELETED_SELECTED_GROUPS: "CRRER0383I: The selected groups were deleted.",
GRANTED_SELECTED_USERS_WEBSITE_ACCESS: "CRRER0390I: The selected users have been granted permission to access this Web site.",
GRANTED_ALL_USERS_WEBSITE_ACCESS: "CRRER0391I: All users have been granted permission to access this Web site.",
DENIED_SELECTED_USERS_WEBSITE_ACCESS: "CRRER0392I: The selected users have been denied permission to access this Web site.",
DENIED_ALL_USERS_WEBSITE_ACCESS: "CRRER0393I: All users have been denied permission to access this Web site.",
RETREIVED_RECENTLY_ADDED_USERS: "CRRER0394I: Recently added users were retrieved from the user registry.",

// Project Management Error Messages
FAILED_TO_RETRIEVE_PROJECTS: "CRRER0400E: Projects were not retrieved from the server.",
FAILED_TO_RETRIEVE_TEAM_AREAS: "CRRER0401E: Team areas were not retrieved from the server.",

// Security Management Error Message
FAILED_TO_RETRIEVE_USERS_AND_TEAMS: "CRRER0500E: Users and teams were not retrieved from the server.",
FAILED_TO_RETRIEVE_PERMISSIONS: "CCRER0501E: Permissions for '${0}' were not retrieved from the server.",
FAILED_TO_RETRIEVE_PERMISSION: "CCRER0502E: Permission for '${0}' was not retrieved from the server.",
FAILED_TO_RETRIEVE_ACL_ENTRIES: "CRRER0503E: The access control entries for '${0}' were not retrieved from the server.",
FAILED_TO_RETRIEVE_PASSWORD: "CRRER0507E: The password for user '${0}' was not retrieved from the server.",
FAILED_TO_CREATE_ACL_ENTRIES: "CRRER0512E: The access control entries for '${0}' were not created.",
FAILED_TO_UPDATE_ACL_ENTRIES: "CRRER0520E: The access control entries for '${0}' were not updated.",
INCORRECT_OLD_PASSWORD: "CRRER0550E: The password was not changed. Reason: The old password is incorrect.",
MISMATCH_PASSWORDS: "CRRER0551E: The password was not changed. Reason: The new and confirm passwords do not match.",
IDENTICAL_PASSWORDS: "CRRER0552E: The password was not changed. Reason: The new password is the same as the old password.",
FAILED_TO_RESET_PASSWORD: "CRRER0553E: The password for '${0}' was not reset.",
FAILED_TO_CREATE_FOLDER: "CRRER0560E: You do not have the permission to create a new report folder under the selected folder.", 

// Message Display Labels
REASON_LABEL: "Reason:",
SUPPORTED_DESIGN_FILES: " Supported types are (*.rptdesign, *.rptlibrary, *.rpt, *.jpg).",
USER_REGISTRY_BEING_REFRESHED: "Retrieving users from the user registry..."
	
})